<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}

/**
 * Cross Admin class
 *
 * @version 1.0.0
 * @author Your name
 * @since Date created
 */
class MVC_Admin_Cross_Admin extends MVC_Admin_Parent_Cross_Admin {
	/**
	 * Constructor
	 * @param Boolean $can_init toggle to run the functions in the constructor
	 */
	public function __construct( $can_init = true ) {

		// carry on if it is on the right section

		if ( $can_init ) {
			$this->actions();
			$this->filters();
		}

	}

	/**
	 * WordPress actions to hook when the admin controller is loaded
	 * @return null
	 */
	public function actions() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue' ) );
	}

	/**
	 * WordPress filters to hook when the admin controller is loaded
	 * @return null
	 */
	public function filters() {}

	/**
	 * Interface to display on the appropriate page
	 * @return null
	 */
	public function interface() {}

}
