<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 * @package WordPress
 * @subpackage Simpods MVC
 * @since 1.0
 * @version 1.0
 */

get_header();
?>
<main id="main-container" class="container mgt50">
	<div class="row">
		<header class="col-12 col-xs-12 page-header">
			<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'simpods-mvc' ); ?></h1>
		</header><!-- .page-header -->

		<div class="col-sm-9 page-content">
			<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'simpods-mvc' ); ?></p>

			<?php get_search_form(); ?>
		</div><!-- .page-content -->

		<aside class="col-sm-3">
			<?php get_sidebar(); ?>
		</aside>
	</div>
</main>
<?php get_footer();
