<?php
/**
 * The template for displaying author pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Simpods MVC
 * @since 1.0
 * @version 1.0
 */

get_header();
?>
<main id="main-container" class="container mgt50">
	<div class="row">
		<header class="entry-header col-12 col-xs-12">
			<h1 class="entry-title"><?php the_author(); ?></h1>
			
		</header>

		<div class="col-sm-9">
			<?php while ( have_posts() ) : the_post(); ?>
				<header class="entry-header">
					<a href="<?php the_permalink(); ?>"><h2 class="entry-title"><?php the_title(); ?></h2></a>
				</header>

				<?php the_excerpt(); ?>
			<?php endwhile; ?>
		</div>

		<aside class="col-sm-3">
			<?php get_sidebar(); ?>
		</aside>
	</div>
</main>
<?php get_footer();
