<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {exit( 'You are not allowed to call this page directly.' );}

/**
 * Sample Admin class
 *
 * @version 1.0.0
 * @author Your name
 * @since Date created
 */
class MVC_Admin_Sample extends MVC_Admin_Parent_Cross_Admin {
	// The page slug which will appear in the URL
	const PAGE_SLUG 	= '';
	// The table name to be created to hold the settings
	const DB_TABLE  	= '';
	// The capabilities a user has to have to view/edit the settings
	const PAGE_CAP  	= '';
	// The page icon, use dashicon e.g. 'dashicons-desktop'
	const PAGE_ICON 	= '';
	// Initialise the class when Simpods is loaded.
	const INIT_CLASS	= false;
	// The page's title to display in-page. If empty, it won't be added to Simpods' navigation.
	// You can assign a value to it in the constructor for it to appear in the WordPress navigation
	public static $page_title = '';

	/**
	 * Constructor
	 * @param Boolean $can_init toggle to run the functions in the constructor
	 */
	public function __construct( $can_init = true ) {

		// carry on if it is on the right section

		if ( $can_init ) {
			$this->actions();
			$this->filters();
		}

	}

	/**
	 * WordPress actions to hook when the admin controller is loaded
	 * @return null
	 */
	public function actions() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue' ) );
	}

	/**
	 * WordPress filters to hook when the admin controller is loaded
	 * @return null
	 */
	public function filters() {}

	/**
	 * Interface to display on the appropriate page
	 * @return null
	 */
	public function interface() {}

}
