<?php get_header() ?>
<main id="main-container" class="container mgt50">
	<div class="row">
		<div class="col-12 col-xs-12">
			<h1>
			<?php
				echo esc_html( sprintf(
					/* translators: %1$d number of search results, %2$s: search query */
					_n(
						'%1$d search result found for: %2$s',
						'%1$d search results found for: %2$s',
						$wp_query->found_posts,
						'simpods-mvc'
					),
					number_format_i18n( $wp_query->found_posts ),
					get_search_query( false )
				) );
			?>
			</h1>
		</div>
		<div class="col-sm-9">
		<?php if ( have_posts() ) : while (have_posts()) : the_post(); ?>
			<article >
				<h2><a href="<?php echo esc_url( get_permalink() );?>"><?php the_title(); ?></a></h2>
				<p><?php echo esc_html( wp_trim_words( get_the_excerpt(), 55 ) ); ?></p>
			</article>
		<?php
			endwhile;
			endif;
		?>

			<div class="text-center mgb20 h2"><?php the_posts_pagination(); ?></div>
			<?php get_search_form(); ?>
		</div>
		<aside class="col-sm-3">
			<?php get_sidebar(); ?>
		</aside>
	</div>
</main>
<?php get_footer();
